Complete a form
curl --request POST \
--url https://api.eka.care/protocol/workflow/forms/{id}/complete \
--header 'Content-Type: application/json' \
--header 'auth: <auth>' \
--data '
{
"response_id": "<string>",
"response_url": "<string>",
"awaiting_signature": true,
"signer": {
"kind": "patient"
}
}
'import requests
url = "https://api.eka.care/protocol/workflow/forms/{id}/complete"
payload = {
"response_id": "<string>",
"response_url": "<string>",
"awaiting_signature": True,
"signer": { "kind": "patient" }
}
headers = {
"auth": "<auth>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {auth: '<auth>', 'Content-Type': 'application/json'},
body: JSON.stringify({
response_id: '<string>',
response_url: '<string>',
awaiting_signature: true,
signer: {kind: 'patient'}
})
};
fetch('https://api.eka.care/protocol/workflow/forms/{id}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eka.care/protocol/workflow/forms/{id}/complete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'response_id' => '<string>',
'response_url' => '<string>',
'awaiting_signature' => true,
'signer' => [
'kind' => 'patient'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"auth: <auth>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eka.care/protocol/workflow/forms/{id}/complete"
payload := strings.NewReader("{\n \"response_id\": \"<string>\",\n \"response_url\": \"<string>\",\n \"awaiting_signature\": true,\n \"signer\": {\n \"kind\": \"patient\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("auth", "<auth>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eka.care/protocol/workflow/forms/{id}/complete")
.header("auth", "<auth>")
.header("Content-Type", "application/json")
.body("{\n \"response_id\": \"<string>\",\n \"response_url\": \"<string>\",\n \"awaiting_signature\": true,\n \"signer\": {\n \"kind\": \"patient\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eka.care/protocol/workflow/forms/{id}/complete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["auth"] = '<auth>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"response_id\": \"<string>\",\n \"response_url\": \"<string>\",\n \"awaiting_signature\": true,\n \"signer\": {\n \"kind\": \"patient\"\n }\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": "<string>",
"bid": "<string>",
"entity_type": "ADMISSION",
"entity_id": "<string>",
"patient_id": "<string>",
"kind": "SA",
"form_id": "<string>",
"form_name": "<string>",
"status": "IN_PROGRESS",
"response_id": "<string>",
"response_url": "<string>",
"created_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"completed_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"completed_at": "2023-11-07T05:31:56Z",
"signer": {
"kind": "patient"
},
"closed_note": "<string>",
"closed_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"closed_at": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Forms
Complete a form
COMPLETED with the response, or AWAITING_SIGNATURE when awaiting_signature is set (a consent still to be signed).
POST
/
protocol
/
workflow
/
forms
/
{id}
/
complete
Complete a form
curl --request POST \
--url https://api.eka.care/protocol/workflow/forms/{id}/complete \
--header 'Content-Type: application/json' \
--header 'auth: <auth>' \
--data '
{
"response_id": "<string>",
"response_url": "<string>",
"awaiting_signature": true,
"signer": {
"kind": "patient"
}
}
'import requests
url = "https://api.eka.care/protocol/workflow/forms/{id}/complete"
payload = {
"response_id": "<string>",
"response_url": "<string>",
"awaiting_signature": True,
"signer": { "kind": "patient" }
}
headers = {
"auth": "<auth>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {auth: '<auth>', 'Content-Type': 'application/json'},
body: JSON.stringify({
response_id: '<string>',
response_url: '<string>',
awaiting_signature: true,
signer: {kind: 'patient'}
})
};
fetch('https://api.eka.care/protocol/workflow/forms/{id}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eka.care/protocol/workflow/forms/{id}/complete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'response_id' => '<string>',
'response_url' => '<string>',
'awaiting_signature' => true,
'signer' => [
'kind' => 'patient'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"auth: <auth>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eka.care/protocol/workflow/forms/{id}/complete"
payload := strings.NewReader("{\n \"response_id\": \"<string>\",\n \"response_url\": \"<string>\",\n \"awaiting_signature\": true,\n \"signer\": {\n \"kind\": \"patient\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("auth", "<auth>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.eka.care/protocol/workflow/forms/{id}/complete")
.header("auth", "<auth>")
.header("Content-Type", "application/json")
.body("{\n \"response_id\": \"<string>\",\n \"response_url\": \"<string>\",\n \"awaiting_signature\": true,\n \"signer\": {\n \"kind\": \"patient\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eka.care/protocol/workflow/forms/{id}/complete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["auth"] = '<auth>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"response_id\": \"<string>\",\n \"response_url\": \"<string>\",\n \"awaiting_signature\": true,\n \"signer\": {\n \"kind\": \"patient\"\n }\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": "<string>",
"bid": "<string>",
"entity_type": "ADMISSION",
"entity_id": "<string>",
"patient_id": "<string>",
"kind": "SA",
"form_id": "<string>",
"form_name": "<string>",
"status": "IN_PROGRESS",
"response_id": "<string>",
"response_url": "<string>",
"created_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"completed_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"completed_at": "2023-11-07T05:31:56Z",
"signer": {
"kind": "patient"
},
"closed_note": "<string>",
"closed_by": {
"oid": "<string>",
"name": "<string>",
"ps": "D",
"s": "<string>"
},
"closed_at": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Headers
The access token. The gateway verifies it and passes the user and the business on.
Path Parameters
Pattern:
^fr_[a-z0-9]+_[a-f0-9]+$Body
application/json
Was this page helpful?

